var LinkedSpecimen = function()
{
	var ls = {};
	var debug = 0;
	

	ls.initPage = function()
	{
		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('goupdate', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', ls.submit);

		Doc.show('step-1');
		Doc.show('goupdate');
	}
	
	
	ls.submit = function()
	{
		// Get permission information
		var url = '../LinkedSpecimen.servlet?ID='+App.getSessionId();
		url += '&cmd=UpdateAllLinkedSpecimenAnnotations';
		
		Wizard.showLoadingAnimation('Updating LinkedSpecimen annotation...');
		Wizard.asyncJsonRequest(url, ls.linkedSpecimenDone, 'POST');
	}
	
	ls.linkedSpecimenDone = function(response)
	{
		for (var c = 0; c < response.counters.length; c++)
		{
			var counter = response.counters[c];
			var name = counter.name || 'novalue';
			Doc.element(name + '-before').innerHTML = counter.before;
			Doc.element(name + '-after').innerHTML = counter.after;
		}
		
		Wizard.showFinalMessage(['Number of updated annotations: ' + response.numUpdated]);
		
		Doc.show('update-results');
		Doc.show('gorestart');
	}

	return ls;
}();

Doc.onLoad(LinkedSpecimen.initPage);

